PLplot: pltick.c File Reference

PLplot 5.15.0

Functions
pltick.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Functions
void | plwxtik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
void | plwytik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
void | plxtik (PLINT x, PLINT y, PLINT below, PLINT above)
void | plytik (PLINT x, PLINT y, PLINT left, PLINT right)
void | plstik (PLFLT mx, PLFLT my, PLFLT dx, PLFLT dy)
static void | plerx1 (PLFLT xmin, PLFLT xmax, PLFLT y)
static void | plery1 (PLFLT x, PLFLT ymin, PLFLT ymax)
void | c_plerrx (PLINT n, PLFLT_VECTOR xmin, PLFLT_VECTOR xmax, PLFLT_VECTOR y)
void | c_plerry (PLINT n, PLFLT_VECTOR x, PLFLT_VECTOR ymin, PLFLT_VECTOR ymax)

## Function Documentation

## ◆ c_plerrx()

void c_plerrx | ( | PLINT | n,
|  | PLFLT_VECTOR | xmin,
|  | PLFLT_VECTOR | xmax,
|  | PLFLT_VECTOR | y
| ) |  |

Definition at line 179 of file pltick.c.

## ◆ c_plerry()

void c_plerry | ( | PLINT | n,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | ymin,
|  | PLFLT_VECTOR | ymax
| ) |  |

Definition at line 200 of file pltick.c.

## ◆ plerx1()

static void plerx1 | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | y
| ) |  |
| static

Definition at line 143 of file pltick.c.

## ◆ plery1()

static void plery1 | ( | PLFLT | x,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |
| static

Definition at line 161 of file pltick.c.

## ◆ plstik()

void plstik | ( | PLFLT | mx,
|  | PLFLT | my,
|  | PLFLT | dx,
|  | PLFLT | dy
| ) |  |

Definition at line 130 of file pltick.c.

## ◆ plwxtik()

void plwxtik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 30 of file pltick.c.

## ◆ plwytik()

void plwytik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 66 of file pltick.c.

## ◆ plxtik()

void plxtik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | below,
|  | PLINT | above
| ) |  |

Definition at line 103 of file pltick.c.

## ◆ plytik()

void plytik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | left,
|  | PLINT | right
| ) |  |

Definition at line 116 of file pltick.c.